<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:23 CEST 2019 -->
<title>ParameterBufferMetaData (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ParameterBufferMetaData (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/firebirdsql/gds/impl/ParameterBufferBase.html" title="class in org.firebirdsql.gds.impl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/firebirdsql/gds/impl/ServiceParameterBufferImp.html" title="class in org.firebirdsql.gds.impl"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/firebirdsql/gds/impl/ParameterBufferMetaData.html" target="_top">Frames</a></li>
<li><a href="ParameterBufferMetaData.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.gds.impl</div>
<h2 title="Interface ParameterBufferMetaData" class="title">Interface ParameterBufferMetaData</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../org/firebirdsql/gds/impl/DatabaseParameterBufferImp.DpbMetaData.html" title="enum in org.firebirdsql.gds.impl">DatabaseParameterBufferImp.DpbMetaData</a>, <a href="../../../../org/firebirdsql/gds/impl/ServiceParameterBufferImp.SpbMetaData.html" title="enum in org.firebirdsql.gds.impl">ServiceParameterBufferImp.SpbMetaData</a>, <a href="../../../../org/firebirdsql/gds/impl/ServiceRequestBufferImp.SrbMetaData.html" title="enum in org.firebirdsql.gds.impl">ServiceRequestBufferImp.SrbMetaData</a>, <a href="../../../../org/firebirdsql/gds/impl/TransactionParameterBufferImpl.TpbMetaData.html" title="enum in org.firebirdsql.gds.impl">TransactionParameterBufferImpl.TpbMetaData</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">ParameterBufferMetaData</span></pre>
<div class="block">Additional metadata for parameter buffer behavior.</div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>3.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd><a href="mailto:mrotteveel@users.sourceforge.net">Mark Rotteveel</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/impl/ParameterBufferMetaData.html#addPreamble-org.firebirdsql.gds.ParameterBuffer-">addPreamble</a></span>(<a href="../../../../org/firebirdsql/gds/ParameterBuffer.html" title="interface in org.firebirdsql.gds">ParameterBuffer</a>&nbsp;parameterBuffer)</code>
<div class="block">Allows the metadata to add a preamble to the parameter buffer.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../org/firebirdsql/gds/impl/argument/ArgumentType.html" title="enum in org.firebirdsql.gds.impl.argument">ArgumentType</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/impl/ParameterBufferMetaData.html#getByteArrayArgumentType-int-">getByteArrayArgumentType</a></span>(int&nbsp;tag)</code>
<div class="block">Gets the byte array argument type for the supplied tag.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../org/firebirdsql/gds/impl/argument/ArgumentType.html" title="enum in org.firebirdsql.gds.impl.argument">ArgumentType</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/impl/ParameterBufferMetaData.html#getIntegerArgumentType-int-">getIntegerArgumentType</a></span>(int&nbsp;tag)</code>
<div class="block">Gets the byte array argument type for the supplied tag.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../org/firebirdsql/gds/impl/argument/ArgumentType.html" title="enum in org.firebirdsql.gds.impl.argument">ArgumentType</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/impl/ParameterBufferMetaData.html#getStringArgumentType-int-">getStringArgumentType</a></span>(int&nbsp;tag)</code>
<div class="block">Gets the string argument type for the supplied tag.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/impl/ParameterBufferMetaData.html#getType--">getType</a></span>()</code>
<div class="block">Parameter buffer type (this usually is the version of the parameter buffer).</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getType--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getType</h4>
<pre>int&nbsp;getType()</pre>
<div class="block">Parameter buffer type (this usually is the version of the parameter buffer).</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Buffer type (for example <a href="../../../../org/firebirdsql/gds/ISCConstants.html#isc_spb_version3"><code>ISCConstants.isc_spb_version3</code></a>).</dd>
</dl>
</li>
</ul>
<a name="addPreamble-org.firebirdsql.gds.ParameterBuffer-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addPreamble</h4>
<pre>void&nbsp;addPreamble(<a href="../../../../org/firebirdsql/gds/ParameterBuffer.html" title="interface in org.firebirdsql.gds">ParameterBuffer</a>&nbsp;parameterBuffer)</pre>
<div class="block">Allows the metadata to add a preamble to the parameter buffer.
 <p>
 This is only intended for the weird "version 2" connection service parameter buffer that requires two tags for
 the version with <code>isc_spb_version, isc_spb_current_version</code>.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>parameterBuffer</code> - Parameter buffer.</dd>
</dl>
</li>
</ul>
<a name="getStringArgumentType-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStringArgumentType</h4>
<pre><a href="../../../../org/firebirdsql/gds/impl/argument/ArgumentType.html" title="enum in org.firebirdsql.gds.impl.argument">ArgumentType</a>&nbsp;getStringArgumentType(int&nbsp;tag)</pre>
<div class="block">Gets the string argument type for the supplied tag.
 <p>
 When the tag is not known (or unsupported for string arguments), then the default should be returned.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>tag</code> - Tag (item type)</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Argument type (never <code>null</code>)</dd>
</dl>
</li>
</ul>
<a name="getByteArrayArgumentType-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getByteArrayArgumentType</h4>
<pre><a href="../../../../org/firebirdsql/gds/impl/argument/ArgumentType.html" title="enum in org.firebirdsql.gds.impl.argument">ArgumentType</a>&nbsp;getByteArrayArgumentType(int&nbsp;tag)</pre>
<div class="block">Gets the byte array argument type for the supplied tag.
 <p>
 When the tag is not known (or unsupported for string arguments), then the default should be returned.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>tag</code> - Tag (item type)</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Argument type (never <code>null</code>)</dd>
</dl>
</li>
</ul>
<a name="getIntegerArgumentType-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getIntegerArgumentType</h4>
<pre><a href="../../../../org/firebirdsql/gds/impl/argument/ArgumentType.html" title="enum in org.firebirdsql.gds.impl.argument">ArgumentType</a>&nbsp;getIntegerArgumentType(int&nbsp;tag)</pre>
<div class="block">Gets the byte array argument type for the supplied tag.
 <p>
 When the tag is not known (or unsupported for string arguments), then the default should be returned.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>tag</code> - Tag (item type)</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Argument type (never <code>null</code>)</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/firebirdsql/gds/impl/ParameterBufferBase.html" title="class in org.firebirdsql.gds.impl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/firebirdsql/gds/impl/ServiceParameterBufferImp.html" title="class in org.firebirdsql.gds.impl"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/firebirdsql/gds/impl/ParameterBufferMetaData.html" target="_top">Frames</a></li>
<li><a href="ParameterBufferMetaData.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
